package digital.laboratory.platform.inspection.service;
/*
 *@title TestRecordMethodService
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/19 14:49
 */

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.inspection.dto.TestRecordArgumentDto;
import digital.laboratory.platform.inspection.entity.TestRecordMethod;

import java.util.List;
public interface TestRecordMethodService extends IService<TestRecordMethod> {
    TestRecordMethod addTestRecordMethod(TestRecordMethod testRecordMethod);//添加实验使用方法
    TestRecordMethod updateTestRecordMethod(TestRecordMethod testRecordMethod);//修改实验使用方法
    Boolean deleteTestRecordMethod(String id);//删除实验使用方法
    IPage getTestRecordMethodPageList(Page page, TestRecordMethod testRecordMethod);
    List<TestRecordMethod> getTestRecordMethodList(TestRecordMethod testRecordMethod);
    Boolean checkExist(String id);

    boolean useTestRecordMethod(TestRecordArgumentDto testRecordArgumentDto);

    boolean useTemplateMethod(TestRecordArgumentDto testRecordArgumentDto);
}
